# 应用的基础访问路径，默认是 "/"
# 如果部署在子目录下，结尾必须带 "/"，例如 "/admin/"，不能写成 "/admin"
VITE_BASE_URL=/

VITE_APP_TITLE=研发内部管理系统

VITE_APP_DESC=Frontend application for 灿能研发内部管理系统

# 图标名称前缀
VITE_ICON_PREFIX=icon

# 本地 svg 图标组件前缀，必须包含 VITE_ICON_PREFIX
# 格式为 {VITE_ICON_PREFIX}-{local icon name}
VITE_ICON_LOCAL_PREFIX=icon-local

# 权限路由模式：static ｜ dynamic
VITE_AUTH_ROUTE_MODE=dynamic

# 静态权限路由模式下的首页路由
VITE_ROUTE_HOME=system_user

# 默认菜单图标
VITE_MENU_ICON=mdi:menu

# 开发模式下是否启用 HTTP 代理
VITE_HTTP_PROXY=Y

# vue-router 路由模式：hash | history | memory
VITE_ROUTER_HISTORY_MODE=history

# 后端成功状态码；当返回该 code 时，前端认为请求成功
VITE_SERVICE_SUCCESS_CODE=0

# 后端登出状态码；当返回这些 code 时，前端会登出并跳回登录页
# 典型场景：token 无效、登录状态失效、账号被踢下线、后端要求强制重新登录
VITE_SERVICE_LOGOUT_CODES=401,1002023000

# 后端弹窗登出状态码；当返回这些 code 时，前端会先弹窗再登出
# 典型场景：账号被禁用、密码已重置、登录安全策略触发、需要用户先确认后再重新登录
VITE_SERVICE_MODAL_LOGOUT_CODES=7777,7778

# token 过期状态码；当返回这些 code 时，前端会尝试刷新 token 并重发请求
# 典型场景：accessToken 过期但 refreshToken 仍有效、短期登录凭证失效但允许无感续期
VITE_SERVICE_EXPIRED_TOKEN_CODES=1002023001

# 静态路由模式下定义的超级管理员角色
VITE_STATIC_SUPER_ROLE=R_SUPER

# 是否生成 sourcemap
VITE_SOURCE_MAP=N

# 本地存储前缀，用于区分同域名下的不同系统
VITE_STORAGE_PREFIX=CN_RDMS_

# 是否在终端输出代理地址日志
VITE_PROXY_LOG=Y

# 控制是否允许从开发工具中唤起编辑器
# 这个能力只在开发模式下可用，构建模式下不会生效
VITE_DEVTOOLS_LAUNCH_EDITOR=code
